From 42c0ea7058789aa8cc6c27c433a3e0e043f2cf0c Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Dec 02 2020 05:49:36 +0000
Subject: [PATCH 1646/2232] Remove requirement that shared_ptr T be incomplete type


---

diff --git a/gen/src/write.rs b/gen/src/write.rs
index 1fb45d9..419e46c 100644
--- a/gen/src/write.rs
+++ b/gen/src/write.rs
@@ -1592,14 +1592,6 @@ fn write_shared_ptr(out: &mut OutFile, ident: &ResolvableName) {
         || out.types.enums.contains_key(&ident.rust)
         || out.types.aliases.contains_key(&ident.rust);
 
-    if !out.types.structs.contains_key(&ident.rust) && !out.types.enums.contains_key(&ident.rust) {
-        out.builtin.is_complete = true;
-        writeln!(
-            out,
-            "static_assert(::rust::is_complete<{}>::value, \"definition of {} is required\");",
-            inner, resolved.cxx,
-        );
-    }
     writeln!(
         out,
         "static_assert(sizeof(::std::shared_ptr<{}>) == 2 * sizeof(void *), \"\");",

